Debian Bug report logs - #367337
/var/run/aide.lock breaks non-root use of aide

version graph

Package: aide; Maintainer for aide is Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>; Source for aide is src:aide.

Reported by: Bob Proulx <bob@proulx.com>

Date: Mon, 15 May 2006 07:33:02 UTC

Severity: normal

Tags: confirmed

Found in version aide/0.11a-3

Fixed in version aide/0.11a-4

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#367337; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Bob Proulx <bob@proulx.com>:
New Bug report received and forwarded. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /var/run/aide.lock breaks non-root use of aide
Date: Mon, 15 May 2006 01:23:03 -0600
Package: aide
Version: 0.11a-3
Severity: normal
Tags: patch

Use of /var/run/aide.lock breaks non-root use of aide.

  aide --config=$HOME/aide/conf --update
  dotlockfile: /var/run/aide.lock: permission denied
  cannot obtain lock /var/run/aide.lock, stale lock?

I suggest also using a lockfile only if no --config is given by the
user.  Also, printing a message when a user is using --config is not
expected.  I would like to see the message removed.  Also when using
$@ you almost always want "$@".  And passing raw arguments to echo can
open up possibility of problems there.

How about this?

#!/bin/sh
#
# Perform update-aide.conf call before calling aide, since the autogenerated
# configuration is now the default config file

PATH="/usr/sbin:/sbin:/usr/bin:/bin"
LOCKFILE="/var/run/aide.lock"

pathfind() {
  OLDIFS="$IFS"
  IFS=:
  for p in $PATH; do
    if [ -x "$p/$*" ]; then
      IFS="$OLDIFS"
      return 0
    fi
  done
  IFS="$OLDIFS"
  return 1
}

dotlocked=false
if ! printf "%b\n" "$*" | grep -q -e --config; then
  if which dotlockfile >/dev/null 2>&1; then
    if ! dotlockfile -p -l $LOCKFILE; then
      echo >&2 "cannot obtain lock $LOCKFILE, stale lock?"
      exit 1
    fi
    dotlocked=true
  else
    echo >&2 "no dotlockfile binary in path, not checking for already running aide"
  fi
  update-aide.conf
fi

/usr/bin/aide.real "$@"

if dotlocked; then
  dotlockfile -u $LOCKFILE
fi

I am not quite happy with the grep test for a --config option because
it ignores the -c possibility.  But without doing a full getopts
parsing it is difficult to get this completely correct.

Bob

-- 
Bob Proulx <bob@proulx.com>
http://www.proulx.com/~bob/

-- System Information:
Debian Release: 3.1



Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#367337; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 367337@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Bob Proulx <bob@proulx.com>, 367337@bugs.debian.org
Subject: Re: [Pkg-aide-maintainers] Bug#367337: /var/run/aide.lock breaks non-root use of aide
Date: Mon, 15 May 2006 09:55:00 +0200
package aide
tags #367337 - patch
# the patch is not acceptable in this form due to reasons outlined in
# the message body.
thanks

On Mon, May 15, 2006 at 01:23:03AM -0600, Bob Proulx wrote:
> Use of /var/run/aide.lock breaks non-root use of aide.

How about using $HOME/.aide.lock if the wrapper is not invoked as root?

> I suggest also using a lockfile only if no --config is given by the
> user.

Bad idea, IMO. aide can run for a considerable period of time, and two
aide processes operating on the same database guarantee database
breakage.

> Also, printing a message when a user is using --config is not
> expected.  I would like to see the message removed.

I am not going to do this, since running aide without protection of a
lock poses a significant risk to the database.

> Also when using
> $@ you almost always want "$@".

Agreed.

> And passing raw arguments to echo can
> open up possibility of problems there.

I don't see any arguments passed to echo in the aide wrapper. Where do
you see that?

> I am not quite happy with the grep test for a --config option because
> it ignores the -c possibility.  But without doing a full getopts
> parsing it is difficult to get this completely correct.

Agreed. I'd appreciate a patch anyway.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags removed: patch Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#367337; Package aide. Full text and rfc822 format available.

Acknowledgement sent to bob@proulx.com (Bob Proulx):
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 367337@bugs.debian.org (full text, mbox):

From: bob@proulx.com (Bob Proulx)
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 367337@bugs.debian.org
Subject: Re: [Pkg-aide-maintainers] Bug#367337: /var/run/aide.lock breaks non-root use of aide
Date: Mon, 15 May 2006 03:40:40 -0600
Marc Haber wrote:
> How about using $HOME/.aide.lock if the wrapper is not invoked as root?

But what if a user wants to run aide on two unrelated databases and
wishes to do this simultaneously?  That would be a problem.

If the concern really is two aide processes writing to the database
output file then the semaphore needs to be on the database output file
itself and not in other places.  Anything else causes other issues.
But that means extracting the output file from the config file.  But
that should work.

> > I suggest also using a lockfile only if no --config is given by the
> > user.
> 
> Bad idea, IMO. aide can run for a considerable period of time, and two
> aide processes operating on the same database guarantee database
> breakage.

I probably missed a bug report on this previously.  Is this really a
concern?  I mean, 'cp srcfile dstfile' could be a long operation.  If
I run two of those commands at the same time then dstfile would be
"corrupted".  But does that mean that cp needs to use a semaphore when
copying files?

I know that aide can run for a long time.  (I think it might be
infinitely long with the latest version.  Still working to verify
that.)  But I do not believe it is the package's job to protect me
from myself.  It is only the package's job to protect scripts provided
by the package from itself.

> > Also, printing a message when a user is using --config is not
> > expected.  I would like to see the message removed.
> 
> I am not going to do this, since running aide without protection of a
> lock poses a significant risk to the database.

But this means that Debian users will just need to know that they
really need to call aide.real instead of aide as on other systems.
Behavior is diverging from expected upstream behavior.  It needlessly
diverges from other distros.  I think that is bad.

> > And passing raw arguments to echo can
> > open up possibility of problems there.
> 
> I don't see any arguments passed to echo in the aide wrapper. Where do
> you see that?

The original script had:

  if echo $@ | grep -q -- '--config[^-]'; then

But $@ can be any arbitrary string passed into the command by a user
calling it.  (In that context, unquoted, $@ is the same as $*.)  A
user may have passed in options which may look like an option to echo.
And since echo is one of the most frustratingly importable commands
different shells may interpret echo options differently and this may
confuse echo.  At the least bash supports the -n, -e, and -E options.
I was attempting to avoid trouble there by using printf which is
standardized.

As an aside, I did not understand why "[^-]" was there.  The --config
was the only valid option string that could match there.

> > I am not quite happy with the grep test for a --config option because
> > it ignores the -c possibility.  But without doing a full getopts
> > parsing it is difficult to get this completely correct.
> 
> Agreed. I'd appreciate a patch anyway.

A patch in which direction?  Implementing a full getopt parsing
mirroring available aide options?  Or one that only looked for
--config?  I am not quite tracking.  (I could easily write a script
using getopt that parsed all of the options the same as aide the
program implemented.)

I hate replicating all of the options in getopt because then the
script would need to track the program closely forever after that.  It
would violate the DRY (don't repeat yourself) principle and create a
maintenance issue.  But it does generate the most correct result for
any given moment in time.  But avoiding the need to track the program
options is why I would go with only looking for --config.  It is a
reasonable compromise.

Different direction...

I am thinking that there are two different things that are trying to
be accomplished at the same time.  One is that when a user installs
aide on the system it is desirable to set up a system level task that
aide will run mostly by default with minimum user configuration.  That
is good.  The other is that aide is a general purpose program run by
users to check files.  (Web pages in my case.)  At this time the
implementation of these two tasks are tripping over each other.

To accomplish a modular config file (a noble cause) a wrapper was
implemented to build the configuration file on the fly from the
pieces.  The real binary was moved to aide.real.  This all works for
the system scripts provided with the package.  But this gets in the
way of non-system users using aide for tasks outside of the
prepackaged scripts.  Because the /usr/bin/aide script has had several
issues that make it suitable only to be called by the root process
system script from the package.  That seems like a restriction that we
should avoid if possible.

This is leading me to believe that the current package is not going
the right direction.  I think it should go a different direction.
Previously the aide program was renamed to aide.real so that
/etc/cron.daily/aide could call it "aide".  But 'aide' the program is
not the sole domain of /etc/cron.daily/aide and that is causing me
problems.  Instead I am thinking that the binary should not be renamed
nor wrapped with a script.  The packaged /etc/cron.daily/aide script
should instead be calling a wrapper script by a different name.  It
would be much easier for those two scripts to coordinate between each
other.  This would avoid tripping over other uses of the program.
Between those two scripts all of the semaphoring and modular config
file processing can be handled without causing problems to other
unrelated scripts.

Let's see, /etc/cron.daily/aide calls /usr/bin/aiderun which
concatenates the config file and semaphores the output database to
protect against cron tasks overrunning themselves.  It then calls
/usr/bin/aide the binary to perform the activity.  This avoids any
conflict with other scripts using aide the binary.  That seems like a
clean approach to me.

What do you think?

Bob



Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#367337; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 367337@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Bob Proulx <bob@proulx.com>
Cc: 367337@bugs.debian.org
Subject: Re: [Pkg-aide-maintainers] Bug#367337: /var/run/aide.lock breaks non-root use of aide
Date: Mon, 15 May 2006 13:11:30 +0200
On Mon, May 15, 2006 at 03:40:40AM -0600, Bob Proulx wrote:
> Marc Haber wrote:
> > How about using $HOME/.aide.lock if the wrapper is not invoked as root?
> 
> But what if a user wants to run aide on two unrelated databases and
> wishes to do this simultaneously?  That would be a problem.

Agreed. In that case, it would be adviseable to directly run aide.real.

> If the concern really is two aide processes writing to the database
> output file then the semaphore needs to be on the database output file
> itself and not in other places.  Anything else causes other issues.

Right.

> But that means extracting the output file from the config file.  But
> that should work.

Yes. I am, however, reluctant to do this in a wrapper for fear of
complexity. The goal for the wrapper is to fit the majority of cases.

This should be addressed in aide itself. I have opened a ticket in the
upstream bug database,
https://sourceforge.net/tracker/index.php?func=detail&aid=1488776&group_id=86976&atid=581582.

While you have a point, I think that extending the wrapper is gold
plating while it is always possible for the user to directly invoke
aide.

> > > I suggest also using a lockfile only if no --config is given by the
> > > user.
> > 
> > Bad idea, IMO. aide can run for a considerable period of time, and two
> > aide processes operating on the same database guarantee database
> > breakage.
> 
> I probably missed a bug report on this previously.  Is this really a
> concern?

I have had database corruption in cases where a manually invoked, long
running aide process was disturbed by cron kicking of a scheduled check.

> But I do not believe it is the package's job to protect me
> from myself.  It is only the package's job to protect scripts provided
> by the package from itself.

The wrapper does this nicely.

> > > Also, printing a message when a user is using --config is not
> > > expected.  I would like to see the message removed.
> > 
> > I am not going to do this, since running aide without protection of a
> > lock poses a significant risk to the database.
> 
> But this means that Debian users will just need to know that they
> really need to call aide.real instead of aide as on other systems.
> Behavior is diverging from expected upstream behavior.  It needlessly
> diverges from other distros.  I think that is bad.

It clearly is sub-optimal, but I still think that the current behavior
is a good compromise until aide itself properly handles this conflict.

> > > And passing raw arguments to echo can
> > > open up possibility of problems there.
> > 
> > I don't see any arguments passed to echo in the aide wrapper. Where do
> > you see that?
> 
> The original script had:
> 
>   if echo $@ | grep -q -- '--config[^-]'; then

Aah!

Sorry. You're of course right.

> > > I am not quite happy with the grep test for a --config option because
> > > it ignores the -c possibility.  But without doing a full getopts
> > > parsing it is difficult to get this completely correct.
> > 
> > Agreed. I'd appreciate a patch anyway.
> 
> A patch in which direction?  Implementing a full getopt parsing
> mirroring available aide options?  Or one that only looked for
> --config?  I am not quite tracking.  (I could easily write a script
> using getopt that parsed all of the options the same as aide the
> program implemented.)

Both options would be acceptable, IMO.

> I hate replicating all of the options in getopt because then the
> script would need to track the program closely forever after that.  It
> would violate the DRY (don't repeat yourself) principle and create a
> maintenance issue.  But it does generate the most correct result for
> any given moment in time.  But avoiding the need to track the program
> options is why I would go with only looking for --config.  It is a
> reasonable compromise.

Agreed. Please consider whether the current "breakage" does really
need fixing.

> I am thinking that there are two different things that are trying to
> be accomplished at the same time.  One is that when a user installs
> aide on the system it is desirable to set up a system level task that
> aide will run mostly by default with minimum user configuration.  That
> is good.  The other is that aide is a general purpose program run by
> users to check files.  (Web pages in my case.)  At this time the
> implementation of these two tasks are tripping over each other.

They are only tripping over each other when the local user does not
understand the way the Debian packages are built.

> To accomplish a modular config file (a noble cause) a wrapper was
> implemented to build the configuration file on the fly from the
> pieces.  The real binary was moved to aide.real.

Actually, the wrapper pre-dates the modular configuration file and was
originally introduced for the lock handling.

> This all works for
> the system scripts provided with the package.  But this gets in the
> way of non-system users using aide for tasks outside of the
> prepackaged scripts.  Because the /usr/bin/aide script has had several
> issues that make it suitable only to be called by the root process
> system script from the package.  That seems like a restriction that we
> should avoid if possible.

Partly agreed.

> This is leading me to believe that the current package is not going
> the right direction.  I think it should go a different direction.
> Previously the aide program was renamed to aide.real so that
> /etc/cron.daily/aide could call it "aide".  But 'aide' the program is
> not the sole domain of /etc/cron.daily/aide and that is causing me
> problems.  Instead I am thinking that the binary should not be renamed
> nor wrapped with a script.  The packaged /etc/cron.daily/aide script
> should instead be calling a wrapper script by a different name.  It
> would be much easier for those two scripts to coordinate between each
> other.  This would avoid tripping over other uses of the program.
> Between those two scripts all of the semaphoring and modular config
> file processing can be handled without causing problems to other
> unrelated scripts.

I'll consider this. I don't like the potential to break existing
setups though.

Additionally, I think that in this case, the aide binary should be
compiled to use /dev/null as configuration file and /tmp/aide as a
database to keep it from interfering with the database/config set used
by the system scripts.

> Let's see, /etc/cron.daily/aide calls /usr/bin/aiderun which
> concatenates the config file and semaphores the output database to
> protect against cron tasks overrunning themselves.  It then calls
> /usr/bin/aide the binary to perform the activity.  This avoids any
> conflict with other scripts using aide the binary.  That seems like a
> clean approach to me.
> 
> What do you think?

I'll need to ponder about that.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#367337; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 367337@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Bob Proulx <bob@proulx.com>, 367337@bugs.debian.org, 367337-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Re: [Pkg-aide-maintainers] Bug#367337: /var/run/aide.lock breaks non-root use of aide
Date: Fri, 26 May 2006 13:51:28 +0200
tags #367337 confirmed pending
thanks

On Mon, May 15, 2006 at 03:40:40AM -0600, Bob Proulx wrote:
> This is leading me to believe that the current package is not going
> the right direction.  I think it should go a different direction.
> Previously the aide program was renamed to aide.real so that
> /etc/cron.daily/aide could call it "aide".  But 'aide' the program is
> not the sole domain of /etc/cron.daily/aide and that is causing me
> problems.  Instead I am thinking that the binary should not be renamed
> nor wrapped with a script.  The packaged /etc/cron.daily/aide script
> should instead be calling a wrapper script by a different name.  It
> would be much easier for those two scripts to coordinate between each
> other.  This would avoid tripping over other uses of the program.
> Between those two scripts all of the semaphoring and modular config
> file processing can be handled without causing problems to other
> unrelated scripts.
> 
> Let's see, /etc/cron.daily/aide calls /usr/bin/aiderun which
> concatenates the config file and semaphores the output database to
> protect against cron tasks overrunning themselves.  It then calls
> /usr/bin/aide the binary to perform the activity.  This avoids any
> conflict with other scripts using aide the binary.  That seems like a
> clean approach to me.
> 
> What do you think?

Accepted, implemented, and committed to svn. Thanks for being so
persistent and for your striking arguments.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: confirmed, pending Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Bob Proulx <bob@proulx.com>:
Bug#367337. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bob Proulx <bob@proulx.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 367337-close@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 367337-close@bugs.debian.org
Subject: Bug#367337: fixed in aide 0.11a-4
Date: Fri, 26 May 2006 07:02:07 -0700
Source: aide
Source-Version: 0.11a-4

We believe that the bug you reported is fixed in the latest version of
aide, which is due to be installed in the Debian FTP archive:

aide_0.11a-4.diff.gz
  to pool/main/a/aide/aide_0.11a-4.diff.gz
aide_0.11a-4.dsc
  to pool/main/a/aide/aide_0.11a-4.dsc
aide_0.11a-4_i386.deb
  to pool/main/a/aide/aide_0.11a-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367337@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Haber <mh+debian-packages@zugschlus.de> (supplier of updated aide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 26 May 2006 12:44:51 +0000
Source: aide
Binary: aide aide-config-zg2
Architecture: source i386
Version: 0.11a-4
Distribution: unstable
Urgency: low
Maintainer: Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>
Changed-By: Marc Haber <mh+debian-packages@zugschlus.de>
Description: 
 aide       - Advanced Intrusion Detection Environment
Closes: 361714 363652 365774 366776 367333 367337 368409 368935
Changes: 
 aide (0.11a-4) unstable; urgency=low
 .
   * statically link against libmhash 0.9.6-2, which might fix some
     issues on big-endian archs.
   * Tighten up build-deps to force buildds to link against the same
     libmhash. The versioned build-dep can be removed for backports, at the
     price of probably not running on big-endian archs.
   * 70_aide_dev: allow two digit /dev/pts numbers.
   * 31_aide_inn2: /var/spool/news/incoming is VarDir itself
   * Update Dutch (nl) debconf translation.
     Thanks to cobaco (aka Bart Cornelis). (mh) Closes: #363652
   * Update Swedish (sv) debconf translation.
     Thanks to Daniel Nylander. (mh) Closes: #365774
   * Call dh_installexamples from debian/rules, to actually include
     31_example_exclude-homes into package.
     Thanks to Glyn Kennington for spotting this. (mh) Closes: #361714
   * Do not define HOSTNAME, DNSDOMAINNAME and FQDN if the
     corresponding binary gives no output. Adapt rules to not fail in
     case of undefined variable.
     Thanks to Corey Wright and Craig Small. Closes: #366776
   * Fix badly formatted debian/NEWS file.
   * Fix incorrect dotlockfile presence test.
     Thanks to Bob Proulx. Closes: #367333
   * Fix issues addressed by Bob Proulx (thanks!). Closes: #367337.
     * Move
       * aide wrapper to aide.wrapper
         * add man page for aide.wrapper
       * aide.real to aide
         * fix lintian and linda overrides
     * This kind of restores expected aide behavior.
     * Debian scripts now call aide.wrapper explicitly
       * thus, our lock locks the Debian configuration only and
         not the aide binary.
     * use "$@" instead of $@ in aide.wrapper
     * keep accidentally invoked aide from tampering with Debian database:
       * set sysconfdir to /tmp/empty
       * set config_file to /dev/null
       * have wrapper explicitly set --config /etc/aide/aide.conf
       * do not set --config explicitly in aideinit
   * zap /var/lib files instead of /var/log in postinst
   * replace ` with $() in aideinit
   * handle /var/log/apache2/suexec.log.* if
     /etc/apache2/mods-enabled/suexec.load exists.
     Thanks to Craig Small. Closes: #368935
   * Fix dumb scripting error in aide.conf.d/31_aide_amanda-server
     Thanks to Craig Small. Closes: #368409
   * Minor modifications to the Debconf templates to make lintian happy.
   * Standards-Version: 3.7.2 (no change necessary).
Files: 
 09c42dc9545fc5ffa5439fae6ece0229 804 admin optional aide_0.11a-4.dsc
 5088544411091e232c3c377742b4069e 45711 admin optional aide_0.11a-4.diff.gz
 7698c0096ba7e4a136e9f42350521d61 529990 admin optional aide_0.11a-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEdwirgZalRGu6PIQRAlXlAJ0eY8y2FnvApYtyUPpCHLQqRK2CUwCff8tT
6YbE8POoofNxg5DXbe+sQXA=
=MPXo
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#367337; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Richard van den Berg <richard@vdberg.org>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 367337@bugs.debian.org (full text, mbox):

From: Richard van den Berg <richard@vdberg.org>
To: 367337@bugs.debian.org
Subject: Re: /var/run/aide.lock breaks non-root use of aide
Date: Fri, 06 Oct 2006 15:15:32 +0200
I've just added file locking (using fcntl()) to the CVS version of aide.
This should solve the problem discussed in this bug.

Sincerely,

Richard van den Berg




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:21:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 20:02:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.